﻿using System;

namespace MontoyaTech.MySqlPlus.Example
{
    public class Program
    {
        public class Car : MySqlRow
        {
            [MySqlRowId]
            [MySqlColumn]
            public ulong Id = 0;

            [MySqlColumn("make")]
            [MySqlColumnAlias("Make")]
            public string Make = null;

            [MySqlColumn("mode")]
            public string Model = null;

            [MySqlColumn("dateCreated", typeof(DateTime2UnixConverter))]
            public DateTime DateCreated = DateTime.UtcNow;
        }

        public class DateTime2UnixConverter
        {

        }

        public static void Main(string[] args)
        {
            Console.WriteLine("Hello, World!");
        }
    }
}